.sidebar {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  flex-direction: column;
  background: var(--violet-light);
  width: 236px;
  height: calc(100vh - 2 * var(--space-xl));
  border-radius: 30px;
  margin-top: var(--space-xl);


  &Logo {
    padding: 44px;
  }

  &Referral {
    background-color: var(--bg);
    border-radius: 15px;
    height: 128px;
    width: 196px;
    margin: 50px auto 20px;
    padding: 16px;
    color: var(--dark);
    position: relative;
    overflow: hidden;

    .referral__header {
      font-size: var(--font-size-m);
      color: var(--dark);
      line-height: var(--font-size-l);
    }

    .referral__body {
      font-size: var(--font-size-xxs);
      font-style: normal;
      font-weight: 300;
      letter-spacing: 0;
      line-height: 12px;
      text-align: left;

    }

    .referral__button--more {
      align-items: center;
      background-color: var(--blue);
      border-radius: 15px;
      display: inline-flex;
      padding: 8px 16px;
      color: var(--dark);
      margin-top: 12px;
    }

    .referral__gift-illustration {
      position: absolute;
      bottom: -4px;
      right: 0;
      z-index: 0;
    }
  }
}
